body { 
	background-image: url('stars.jpg');
	background-repeat: no-repeat;
	background-attachment: fixed;
	background-size: cover;
	background-color:midnightblue;
	font-size:20px;
	}

hr {
	position: relative;
	top: 5px;
	border: none;
	height: 5px;
	background: linear-gradient(90deg, blueviolet, orange, crimson);
	margin-bottom: 5px;
}

h1 {
	text-align: center;color: white;font-size: 40px;
	}

h2 {
	text-align: center;color: white;font-size: 40px;
	}
		
img {
	display:  block;
	margin-left: auto;
	margin-right: auto;
}
		
a {
	color: gold;
	font-size: 24px;
	}

.gradienttext {
    background: linear-gradient(to right, #FFFF00 4%, #2BFF00 26%, #00FFF7 48%, #0800FF 69%, #FF00E6 85%, #CF0000 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.gradienttext2 {
    background: linear-gradient(cyan, yellow);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.gradienttext3 {
    background: linear-gradient(cyan, yellow);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.grad1 img {
    -webkit-mask-image:-webkit-gradient(linear, left top, left bottom, from(rgba(0,0,0,1)), to(rgba(0,0,0,0)))
}

.grad2 img {
    -webkit-mask-image:-webkit-gradient(linear, left bottom, left top, from(rgba(0,0,0,1)), to(rgba(0,0,0,0)))
}

.heading {
	text-align: center;color:#FFFF66;font-size: 40px;
	}

.navbar {
  background:linear-gradient(90deg, red, blue, orange, purple);
  overflow: hidden;
  position: fixed;
  top: 0;
  z-index:1;
}

.navbar a {
    float: left;
    display: block;
    color: cyan;
    text-align: center;
    padding: 4px 12px;
    text-decoration: none;
    font-size: 20px;
}

.navbar a:hover {
  background: radial-gradient(darkblue, blue, mediumspringgreen);
  color: mediumspringgreen;
}

.mainphoto {
	width: 40%;
	border: solid 8px gold;
	padding:32px;
	border-radius: 100%;
	background: conic-gradient(red, orange, gold, aquamarine, mediumspringgreen, blueviolet, blue, indigo, red);
	filter: contrast(130%);
	
}

.medphoto {
	width:25%;
	border: solid 8px gold;
	border-radius:100%;
	padding: 12px;
}

.oval {
	border:solid 8px cyan;
	border-radius:100%;
	padding:10px;
	text-align:center;
	}

.colorfuloval {
	background-image: radial-gradient(#FFFF00 4%, #2BFF00 26%, #00FFF7 48%, #0800FF 69%, #FF00E6 85%, #CF0000 100%);
	border-radius:100%;
	padding:10px;
	text-align:center;
	}

.randomness {
	width:60%;
	font-size:20px;
	font-weight:bold;
	font-style:italic;
	background: linear-gradient(45deg, blueviolet, orange, crimson);
	text-align:center;
	padding: 100px;
	border-radius: 100%;
	border: solid 8px hotpink
	}

.menu {
	width: 25%;
	padding: 20px;	
	border: solid 8px cyan;
	background: linear-gradient(20deg, indigo, gold);
	}
	
.advphoto {
	width:30%;
	border: solid deeppink 5px;
	border-radius: 20% 0 20% 0;
	filter: blur(0) 
		contrast(150%) 
		grayscale(0%) 
		brightness(100%)
		opacity(100%)
		saturate(100%);
	}
		
.block {
	border: solid mediumspringgreen 5px;
	background: linear-gradient(20deg, cyan, deeppink, blueviolet);
	border-radius: 100%;
	}